### Function

# EDataServer TypeFunc

since: 3.4

#### Declaration

    void
    (* ETypeFunc) (
      GType type,
      gpointer user_data
    )

#### Description [src]

Specifies the type of functions passed to e_type_traverse().

Available since: 3.4

#### Parameters

`type`

  Type: `GType`

  A `GType`.

`user_data`

  Type: `gpointer`

  User data passed to e_type_traverse().

  The argument can be `NULL`.
  The data is owned by the caller of the function.